DH_XUL-EXT(1)

NAME
dh_xul-ext - calculate XUL extension dependencies

SYNOPSIS
dh_xul-ext [options]

DESCRIPTION
dh_xul-ext is a helper tool for packaging XUL extensions. It calculates the supported XUL applications for the packages that contain an install.rdf file. It will set the substitution variables xpi:Depends, xpi:Recommends, xpi:Breaks, xpi:Enhances, and xpi:Provides. Unknown options will be ignored.

OPTIONS

-h, --help
    Display a brief help message.

-a, --all
    Expand substvars to all known XUL applications. If this parameter is not provided, substvars will only be expanded to the XUL applications that are available on your distribution. Use this parameter if you want to create a package that can be installed on all Debian-based systems without recompiling.

-p package, --package=package
    Calcalate the substvars only for the specified package. If this parameter is not provided, all package listed in the control file will be processed.

-v, --verbose
    Print more information.

ENVIRONMENT

DH_XUL_EXT_VENDOR
    The vendor (for example, Debian or Ubuntu) that should be used for calculating the dependencies. dpkg-vendor(1) will be used for determining the vendor if this environment variable is not set. Setting the variable to all will have the same effect than calling dh_xul-ext with --all.

AUTHOR
Benjamin Drung <bdrung@debian.org>